#include <libxml/parser.h>
#include <libxml/tree.h>
#include <stdio.h>

int main(int argc, char **argv)
{
  xmlDocPtr doc;
  xmlNodePtr distro, diEl;
  xmlAttrPtr attr;

  xmlKeepBlanksDefault(0);
  doc = xmlParseFile("distros.xml");
  distro = xmlDocGetRootElement(doc)->children;

  while (distro) {
    if (!strcmp(distro->name, "Distro")) {
      diEl = distro->children;
      while (diEl) {
	if (! strcmp(diEl->name, "Vendor") ||
	    ! strcmp(diEl->name, "CodeName"))
	  printf("%s ", diEl->children->content);
	diEl = diEl->next;
      }
      attr = distro->properties;
      while (attr) {
	if (! strcmp(attr->name, "Packaging"))
	  printf("%s ", attr->children->content);
	attr = attr->next;
      }
    }
    distro = distro->next;
    printf("\n");
  }
}

